<?php

namespace Speakers\Speakers\Repositories\Eloquent;

use Speakers\Speakers\Interfaces\PersonRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PersonRepository extends BaseRepository implements PersonRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('speakers.speakers.person.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('speakers.speakers.person.model');
    }
}
