Lavalite package that provides speakers management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `speakers/speakers`.

    "speakers/speakers": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Speakers\Speakers\Providers\SpeakersServiceProvider::class,

And also add it to alias

    'Speakers'  => Speakers\Speakers\Facades\Speakers::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Speakers\\SpeakersTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Speakers\Speakers\Providers\SpeakersServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Speakers\Speakers\Providers\SpeakersServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Speakers\Speakers\Providers\SpeakersServiceProvider" --tag="view"


## Usage


